/*
* Copyright (c) 京北方信息技术股份有限公司 Corporation 2021 . All rights reserved.
*
*/
package net.northking.cctp.testbug.dto;

import com.fasterxml.jackson.databind.annotation.JsonSerialize;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;

import java.io.Serializable;

/**
* 查询接口--数据传输对象：状态统计
*
* createdate:  2021-11-22 16:46:50  <br>
* @author:  maven-cctp-plugin  <br>
* @since:  1.0 <br>
*/
@JsonSerialize
@ApiModel(description = "状态统计")
public class BugHighDegreeChartDetailDto implements Serializable
{
    @ApiModelProperty("主键")
    private String id;
    @ApiModelProperty("缺陷编码")
    private String bugOrder;
    @ApiModelProperty("项目名称")
    private String proName;
    @ApiModelProperty("项目id")
    private String proId;
    @ApiModelProperty("缺陷id")
    private String bugId;
    @ApiModelProperty("租户id")
    private String tenantId;
    @ApiModelProperty("缺陷标题")
    private String bugTitle;
    @ApiModelProperty("紧急程度")
    private String emergency;
    @ApiModelProperty("严重程度")
    private String bugGrade;
    @ApiModelProperty("缺陷状态")
    private String bugStatus;
    @ApiModelProperty("模块id")
    private String moduleId;
    @ApiModelProperty("缺陷发现人")
    private String createdBy;
    @ApiModelProperty("分配给")
    private String receiver;

    public String getProId() {
        return proId;
    }

    public void setProId(String proId) {
        this.proId = proId;
    }

    public String getProName() {
        return proName;
    }

    public void setProName(String proName) {
        this.proName = proName;
    }

    public String getCreatedBy() {
        return createdBy;
    }

    public void setCreatedBy(String createdBy) {
        this.createdBy = createdBy;
    }

    public String getReceiver() {
        return receiver;
    }

    public void setReceiver(String receiver) {
        this.receiver = receiver;
    }

    public String getId() {
        return id;
    }

    public void setId(String id) {
        this.id = id;
    }

    public String getBugOrder() {
        return bugOrder;
    }

    public void setBugOrder(String bugOrder) {
        this.bugOrder = bugOrder;
    }

    public String getBugId() {
        return bugId;
    }

    public void setBugId(String bugId) {
        this.bugId = bugId;
    }

    public String getTenantId() {
        return tenantId;
    }

    public void setTenantId(String tenantId) {
        this.tenantId = tenantId;
    }

    public String getBugTitle() {
        return bugTitle;
    }

    public void setBugTitle(String bugTitle) {
        this.bugTitle = bugTitle;
    }

    public String getEmergency() {
        return emergency;
    }

    public void setEmergency(String emergency) {
        this.emergency = emergency;
    }

    public String getBugGrade() {
        return bugGrade;
    }

    public void setBugGrade(String bugGrade) {
        this.bugGrade = bugGrade;
    }

    public String getBugStatus() {
        return bugStatus;
    }

    public void setBugStatus(String bugStatus) {
        this.bugStatus = bugStatus;
    }

    public String getModuleId() {
        return moduleId;
    }

    public void setModuleId(String moduleId) {
        this.moduleId = moduleId;
    }
}